| Flutter iOS Embedder |

Instance Methods | Properties | List of all members
FakeUIPressProxy Class Reference

`#import <FlutterFakeKeyEvents.h>`

Inheritance diagram for FakeUIPressProxy:

## Instance Methods
(instancetype) | - initWithData:key:type:timestamp:
(ios(13.4) | - API_AVAILABLE
(ios(13.4) | - API_AVAILABLE
(ios(13.4) | - API_AVAILABLE
(ios(13.4) | - API_AVAILABLE
Instance Methods inherited from FlutterUIPressProxy
(instancetype) | - initWithPress:withEvent:

## Properties
UIPressPhase | dataPhase
UIKey * | dataKey
UIEventType | dataType
NSTimeInterval | dataTimestamp

## Detailed Description

Definition at line 15 of file FlutterFakeKeyEvents.h.

## Method Documentation

## ◆ API_AVAILABLE [1/4]

- (ios(13.4) API_AVAILABLE |  |  |

Reimplemented from FlutterUIPressProxy.

## ◆ API_AVAILABLE [2/4]

- (ios(13.4) API_AVAILABLE |  |  |

Reimplemented from FlutterUIPressProxy.

## ◆ API_AVAILABLE [3/4]

- (ios(13.4) API_AVAILABLE |  |  |

Reimplemented from FlutterUIPressProxy.

## ◆ API_AVAILABLE [4/4]

- (ios(13.4) API_AVAILABLE |  |  |

Reimplemented from FlutterUIPressProxy.

## ◆ initWithData:key:type:timestamp:

- (instancetype) initWithData: |  | (UIPressPhase) | phase
key: |  | (UIKey*) | key
type: |  | (UIEventType) | type
timestamp: |  | (ios(13.4)) | API_AVAILABLE

Definition at line 14 of file FlutterFakeKeyEvents.mm.

14 :(UIPressPhase)phase
15 key:(UIKey*)key
16 type:(UIEventType)type
17 timestamp:(NSTimeInterval)timestamp API_AVAILABLE(ios(13.4)) {
18 self = [super init];
19 if (self) {
20 _dataPhase = phase;
21 _dataKey = [key copy];
22 _dataType = type;
23 _dataTimestamp = timestamp;
24 }
25 return self;
26 }

## Property Documentation

## ◆ dataKey

- (UIKey*) dataKey
| readnonatomicassign

Definition at line 27 of file FlutterFakeKeyEvents.h.

## ◆ dataPhase

- (UIPressPhase) dataPhase
| readnonatomicassign

Definition at line 26 of file FlutterFakeKeyEvents.h.

## ◆ dataTimestamp

- (NSTimeInterval) dataTimestamp
| readnonatomicassign

Definition at line 29 of file FlutterFakeKeyEvents.h.

## ◆ dataType

- (UIEventType) dataType
| readnonatomicassign

Definition at line 28 of file FlutterFakeKeyEvents.h.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterFakeKeyEvents.h
- shell/platform/darwin/ios/framework/Source/FlutterFakeKeyEvents.mm

-[FakeUIPressProxy API_AVAILABLE]
ios(13.4 API_AVAILABLE()